interface FSAOptions<Payload, Meta> {
    payload?: Payload;
    error?: boolean;
    meta?: Meta;
}
export interface SimpleAction<Type extends string> {
    type: Type;
}
export declare type FSA<Type extends string, Payload, Meta> = SimpleAction<Type> & FSAOptions<Payload, Meta>;
export declare function createAction<Type extends string>(type: Type): SimpleAction<Type>;
export declare function createAction<Type extends string, Payload, Meta>(type: Type, options: FSAOptions<Payload, Meta>): FSA<Type, Payload, Meta>;
export declare type ActionsUnion<A extends {
    [actionCreator: string]: (...args: any[]) => any;
}> = Exclude<ReturnType<A[keyof A]>, (...args: any[]) => Promise<void>>;
export {};
//# sourceMappingURL=index.d.ts.map